<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_SharedElement" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_SharedElement">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="SystemElement" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">SystemElement</cim:Qualifier>
<cim:Qualifier name="Max" type="cim:cimUnsignedInt">1</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The LogicalElement (or derived subclass) that is exported as a Share. In the context of file sharing, the LogicalElement will be a LogicalFile (or Directory derived from LogicalFile).</cim:Qualifier>
<cim:Classorigin name="CIM_SharedElement"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="SameElement" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">SameElement</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The Share that exposes the LogicalElement as an exported object. In the context of file sharing, the Share will be a FileShare (or a derived class).</cim:Qualifier>
<cim:Classorigin name="CIM_SharedElement"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_SharedElement" type="class:CIM_SharedElement_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_SharedElement" superclass="CIM_LogicalIdentity"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.43.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::System::FileElements</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">SharedElement associates the Share to a LogicalElement that is being exported.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_SharedElement_Type">
<xs:sequence>
<xs:element ref="class:SameElement"/>
<xs:element ref="class:SystemElement"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
